corelinux::Observer Class Reference

Observer observes Subjets and supports the event interface for recieving subject event notifications. More...

`#include <Observer.hpp>`

## Public Member Functions

| Observer (void)
| Default constructor.
| Observer (ObserverCref)
| Copy constructor. More...
virtual | ~Observer (void)
| Virtual destructor.
ObserverRef | operator= (ObserverCref)
| Assignment operator.
bool | operator== (ObserverCref) const
| Equality operator.
bool | operator!= (ObserverCref) const
| In-Equality operator.
virtual void | event (Event< Identifier > *) throw ( NullPointerException )
| Called by Subject::notifyObservers if this observer instance is registered for the event type. More...

## Detailed Description

Observer observes Subjets and supports the event interface for recieving subject event notifications.

## Constructor & Destructor Documentation

corelinux::Observer::Observer | ( | ObserverCref |  | ) |

Copy constructor.

Parameters

  Observer | const referencee

## Member Function Documentation

void corelinux::Observer::event | ( | Event< Identifier > * | anEvent | ) |
throw | ( | NullPointerException
| ) |  |

virtual

Called by Subject::notifyObservers if this observer instance is registered for the event type.

Parameters

  Event | the type of event interested in

Exceptions

  NullPointer | exception if event is null

Referenced by corelinux::Subject::notifyAllObservers(), and corelinux::Subject::notifyObservers().

The documentation for this class was generated from the following files:

- Observer.hpp
- Observer.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium